// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: vcs_provider.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// VcsProviderSortableField defines enums that allow sorting a paginated list
// of VCSProviders.
type VcsProviderSortableField int32

const (
	VcsProviderSortableField_CREATED_AT_ASC  VcsProviderSortableField = 0
	VcsProviderSortableField_CREATED_AT_DESC VcsProviderSortableField = 1
	VcsProviderSortableField_UPDATED_AT_ASC  VcsProviderSortableField = 2
	VcsProviderSortableField_UPDATED_AT_DESC VcsProviderSortableField = 3
)

// Enum value maps for VcsProviderSortableField.
var (
	VcsProviderSortableField_name = map[int32]string{
		0: "CREATED_AT_ASC",
		1: "CREATED_AT_DESC",
		2: "UPDATED_AT_ASC",
		3: "UPDATED_AT_DESC",
	}
	VcsProviderSortableField_value = map[string]int32{
		"CREATED_AT_ASC":  0,
		"CREATED_AT_DESC": 1,
		"UPDATED_AT_ASC":  2,
		"UPDATED_AT_DESC": 3,
	}
)

func (x VcsProviderSortableField) Enum() *VcsProviderSortableField {
	p := new(VcsProviderSortableField)
	*p = x
	return p
}

func (x VcsProviderSortableField) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (VcsProviderSortableField) Descriptor() protoreflect.EnumDescriptor {
	return file_vcs_provider_proto_enumTypes[0].Descriptor()
}

func (VcsProviderSortableField) Type() protoreflect.EnumType {
	return &file_vcs_provider_proto_enumTypes[0]
}

func (x VcsProviderSortableField) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use VcsProviderSortableField.Descriptor instead.
func (VcsProviderSortableField) EnumDescriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{0}
}

// VcsProviderType represents the type of VCSProvider.
type VcsProviderType int32

const (
	VcsProviderType_GITLAB VcsProviderType = 0
	VcsProviderType_GITHUB VcsProviderType = 1
)

// Enum value maps for VcsProviderType.
var (
	VcsProviderType_name = map[int32]string{
		0: "GITLAB",
		1: "GITHUB",
	}
	VcsProviderType_value = map[string]int32{
		"GITLAB": 0,
		"GITHUB": 1,
	}
)

func (x VcsProviderType) Enum() *VcsProviderType {
	p := new(VcsProviderType)
	*p = x
	return p
}

func (x VcsProviderType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (VcsProviderType) Descriptor() protoreflect.EnumDescriptor {
	return file_vcs_provider_proto_enumTypes[1].Descriptor()
}

func (VcsProviderType) Type() protoreflect.EnumType {
	return &file_vcs_provider_proto_enumTypes[1]
}

func (x VcsProviderType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use VcsProviderType.Descriptor instead.
func (VcsProviderType) EnumDescriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{1}
}

// VcsProviderAuthType represents the authentication schema a VCSProvider uses.
type VcsProviderAuthType int32

const (
	VcsProviderAuthType_ACCESS_TOKEN VcsProviderAuthType = 0
	VcsProviderAuthType_OAUTH        VcsProviderAuthType = 1
)

// Enum value maps for VcsProviderAuthType.
var (
	VcsProviderAuthType_name = map[int32]string{
		0: "ACCESS_TOKEN",
		1: "OAUTH",
	}
	VcsProviderAuthType_value = map[string]int32{
		"ACCESS_TOKEN": 0,
		"OAUTH":        1,
	}
)

func (x VcsProviderAuthType) Enum() *VcsProviderAuthType {
	p := new(VcsProviderAuthType)
	*p = x
	return p
}

func (x VcsProviderAuthType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (VcsProviderAuthType) Descriptor() protoreflect.EnumDescriptor {
	return file_vcs_provider_proto_enumTypes[2].Descriptor()
}

func (VcsProviderAuthType) Type() protoreflect.EnumType {
	return &file_vcs_provider_proto_enumTypes[2]
}

func (x VcsProviderAuthType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use VcsProviderAuthType.Descriptor instead.
func (VcsProviderAuthType) EnumDescriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{2}
}

// GetVCSProviderByIDRequest represents a request to get a VCSProvider by its
// ID.
type GetVCSProviderByIDRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetVCSProviderByIDRequest) Reset() {
	*x = GetVCSProviderByIDRequest{}
	mi := &file_vcs_provider_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetVCSProviderByIDRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVCSProviderByIDRequest) ProtoMessage() {}

func (x *GetVCSProviderByIDRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVCSProviderByIDRequest.ProtoReflect.Descriptor instead.
func (*GetVCSProviderByIDRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{0}
}

func (x *GetVCSProviderByIDRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// GetVCSProvidersRequest represents the request to get a paginated list of
// VCSProviders.
type GetVCSProvidersRequest struct {
	state             protoimpl.MessageState    `protogen:"open.v1"`
	PaginationOptions *PaginationOptions        `protobuf:"bytes,1,opt,name=pagination_options,json=paginationOptions,proto3,oneof" json:"pagination_options,omitempty"`
	Sort              *VcsProviderSortableField `protobuf:"varint,2,opt,name=sort,proto3,enum=martiancloud.phobos.api.vcsprovider.VcsProviderSortableField,oneof" json:"sort,omitempty"`
	Search            *string                   `protobuf:"bytes,3,opt,name=search,proto3,oneof" json:"search,omitempty"`
	OrganizationId    *string                   `protobuf:"bytes,4,opt,name=organization_id,json=organizationId,proto3,oneof" json:"organization_id,omitempty"`
	ProjectId         *string                   `protobuf:"bytes,5,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetVCSProvidersRequest) Reset() {
	*x = GetVCSProvidersRequest{}
	mi := &file_vcs_provider_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetVCSProvidersRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVCSProvidersRequest) ProtoMessage() {}

func (x *GetVCSProvidersRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVCSProvidersRequest.ProtoReflect.Descriptor instead.
func (*GetVCSProvidersRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{1}
}

func (x *GetVCSProvidersRequest) GetPaginationOptions() *PaginationOptions {
	if x != nil {
		return x.PaginationOptions
	}
	return nil
}

func (x *GetVCSProvidersRequest) GetSort() VcsProviderSortableField {
	if x != nil && x.Sort != nil {
		return *x.Sort
	}
	return VcsProviderSortableField_CREATED_AT_ASC
}

func (x *GetVCSProvidersRequest) GetSearch() string {
	if x != nil && x.Search != nil {
		return *x.Search
	}
	return ""
}

func (x *GetVCSProvidersRequest) GetOrganizationId() string {
	if x != nil && x.OrganizationId != nil {
		return *x.OrganizationId
	}
	return ""
}

func (x *GetVCSProvidersRequest) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

// GetRepositoryArchiveRequest represents the request to get a repository
// archive using the configuration of a VCSProvider.
type GetRepositoryArchiveRequest struct {
	state          protoimpl.MessageState `protogen:"open.v1"`
	ProviderId     string                 `protobuf:"bytes,1,opt,name=provider_id,json=providerId,proto3" json:"provider_id,omitempty"`
	RepositoryPath string                 `protobuf:"bytes,2,opt,name=repository_path,json=repositoryPath,proto3" json:"repository_path,omitempty"`
	Ref            *string                `protobuf:"bytes,3,opt,name=ref,proto3,oneof" json:"ref,omitempty"`
	unknownFields  protoimpl.UnknownFields
	sizeCache      protoimpl.SizeCache
}

func (x *GetRepositoryArchiveRequest) Reset() {
	*x = GetRepositoryArchiveRequest{}
	mi := &file_vcs_provider_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetRepositoryArchiveRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetRepositoryArchiveRequest) ProtoMessage() {}

func (x *GetRepositoryArchiveRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetRepositoryArchiveRequest.ProtoReflect.Descriptor instead.
func (*GetRepositoryArchiveRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{2}
}

func (x *GetRepositoryArchiveRequest) GetProviderId() string {
	if x != nil {
		return x.ProviderId
	}
	return ""
}

func (x *GetRepositoryArchiveRequest) GetRepositoryPath() string {
	if x != nil {
		return x.RepositoryPath
	}
	return ""
}

func (x *GetRepositoryArchiveRequest) GetRef() string {
	if x != nil && x.Ref != nil {
		return *x.Ref
	}
	return ""
}

// CreateVCSProviderRequest represents the request for creating a VCSProvider.
type CreateVCSProviderRequest struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	Name                string                 `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Description         string                 `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	Type                VcsProviderType        `protobuf:"varint,3,opt,name=type,proto3,enum=martiancloud.phobos.api.vcsprovider.VcsProviderType" json:"type,omitempty"`
	Scope               ScopeType              `protobuf:"varint,4,opt,name=scope,proto3,enum=martiancloud.phobos.api.scope.ScopeType" json:"scope,omitempty"`
	AuthType            VcsProviderAuthType    `protobuf:"varint,5,opt,name=auth_type,json=authType,proto3,enum=martiancloud.phobos.api.vcsprovider.VcsProviderAuthType" json:"auth_type,omitempty"`
	OrganizationId      *string                `protobuf:"bytes,6,opt,name=organization_id,json=organizationId,proto3,oneof" json:"organization_id,omitempty"`
	ProjectId           *string                `protobuf:"bytes,7,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	Url                 *string                `protobuf:"bytes,8,opt,name=url,proto3,oneof" json:"url,omitempty"`
	OauthClientId       *string                `protobuf:"bytes,9,opt,name=oauth_client_id,json=oauthClientId,proto3,oneof" json:"oauth_client_id,omitempty"`
	OauthClientSecret   *string                `protobuf:"bytes,10,opt,name=oauth_client_secret,json=oauthClientSecret,proto3,oneof" json:"oauth_client_secret,omitempty"`
	PersonalAccessToken *string                `protobuf:"bytes,11,opt,name=personal_access_token,json=personalAccessToken,proto3,oneof" json:"personal_access_token,omitempty"`
	ExtraOauthScopes    []string               `protobuf:"bytes,12,rep,name=extra_oauth_scopes,json=extraOauthScopes,proto3" json:"extra_oauth_scopes,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *CreateVCSProviderRequest) Reset() {
	*x = CreateVCSProviderRequest{}
	mi := &file_vcs_provider_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateVCSProviderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVCSProviderRequest) ProtoMessage() {}

func (x *CreateVCSProviderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVCSProviderRequest.ProtoReflect.Descriptor instead.
func (*CreateVCSProviderRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{3}
}

func (x *CreateVCSProviderRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetType() VcsProviderType {
	if x != nil {
		return x.Type
	}
	return VcsProviderType_GITLAB
}

func (x *CreateVCSProviderRequest) GetScope() ScopeType {
	if x != nil {
		return x.Scope
	}
	return ScopeType_GLOBAL
}

func (x *CreateVCSProviderRequest) GetAuthType() VcsProviderAuthType {
	if x != nil {
		return x.AuthType
	}
	return VcsProviderAuthType_ACCESS_TOKEN
}

func (x *CreateVCSProviderRequest) GetOrganizationId() string {
	if x != nil && x.OrganizationId != nil {
		return *x.OrganizationId
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetUrl() string {
	if x != nil && x.Url != nil {
		return *x.Url
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetOauthClientId() string {
	if x != nil && x.OauthClientId != nil {
		return *x.OauthClientId
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetOauthClientSecret() string {
	if x != nil && x.OauthClientSecret != nil {
		return *x.OauthClientSecret
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetPersonalAccessToken() string {
	if x != nil && x.PersonalAccessToken != nil {
		return *x.PersonalAccessToken
	}
	return ""
}

func (x *CreateVCSProviderRequest) GetExtraOauthScopes() []string {
	if x != nil {
		return x.ExtraOauthScopes
	}
	return nil
}

// UpdateVCSProviderRequest represents the request for updating a VCSProvider.
type UpdateVCSProviderRequest struct {
	state               protoimpl.MessageState `protogen:"open.v1"`
	Id                  string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Version             *string                `protobuf:"bytes,2,opt,name=version,proto3,oneof" json:"version,omitempty"`
	Description         *string                `protobuf:"bytes,3,opt,name=description,proto3,oneof" json:"description,omitempty"`
	OauthClientId       *string                `protobuf:"bytes,4,opt,name=oauth_client_id,json=oauthClientId,proto3,oneof" json:"oauth_client_id,omitempty"`
	OauthClientSecret   *string                `protobuf:"bytes,5,opt,name=oauth_client_secret,json=oauthClientSecret,proto3,oneof" json:"oauth_client_secret,omitempty"`
	PersonalAccessToken *string                `protobuf:"bytes,6,opt,name=personal_access_token,json=personalAccessToken,proto3,oneof" json:"personal_access_token,omitempty"`
	ExtraOauthScopes    []string               `protobuf:"bytes,7,rep,name=extra_oauth_scopes,json=extraOauthScopes,proto3" json:"extra_oauth_scopes,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *UpdateVCSProviderRequest) Reset() {
	*x = UpdateVCSProviderRequest{}
	mi := &file_vcs_provider_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UpdateVCSProviderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVCSProviderRequest) ProtoMessage() {}

func (x *UpdateVCSProviderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVCSProviderRequest.ProtoReflect.Descriptor instead.
func (*UpdateVCSProviderRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{4}
}

func (x *UpdateVCSProviderRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *UpdateVCSProviderRequest) GetVersion() string {
	if x != nil && x.Version != nil {
		return *x.Version
	}
	return ""
}

func (x *UpdateVCSProviderRequest) GetDescription() string {
	if x != nil && x.Description != nil {
		return *x.Description
	}
	return ""
}

func (x *UpdateVCSProviderRequest) GetOauthClientId() string {
	if x != nil && x.OauthClientId != nil {
		return *x.OauthClientId
	}
	return ""
}

func (x *UpdateVCSProviderRequest) GetOauthClientSecret() string {
	if x != nil && x.OauthClientSecret != nil {
		return *x.OauthClientSecret
	}
	return ""
}

func (x *UpdateVCSProviderRequest) GetPersonalAccessToken() string {
	if x != nil && x.PersonalAccessToken != nil {
		return *x.PersonalAccessToken
	}
	return ""
}

func (x *UpdateVCSProviderRequest) GetExtraOauthScopes() []string {
	if x != nil {
		return x.ExtraOauthScopes
	}
	return nil
}

// DeleteVCSProviderRequest represents the request for deleting a VCSProvider.
type DeleteVCSProviderRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Version       *string                `protobuf:"bytes,2,opt,name=version,proto3,oneof" json:"version,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DeleteVCSProviderRequest) Reset() {
	*x = DeleteVCSProviderRequest{}
	mi := &file_vcs_provider_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DeleteVCSProviderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteVCSProviderRequest) ProtoMessage() {}

func (x *DeleteVCSProviderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteVCSProviderRequest.ProtoReflect.Descriptor instead.
func (*DeleteVCSProviderRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{5}
}

func (x *DeleteVCSProviderRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DeleteVCSProviderRequest) GetVersion() string {
	if x != nil && x.Version != nil {
		return *x.Version
	}
	return ""
}

// ResetVCSProviderOAuthTokenRequest represents the request for resetting the
// OAuth token used for authenticating with the remote VCS system.
type ResetVCSProviderOAuthTokenRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ProviderId    string                 `protobuf:"bytes,1,opt,name=provider_id,json=providerId,proto3" json:"provider_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ResetVCSProviderOAuthTokenRequest) Reset() {
	*x = ResetVCSProviderOAuthTokenRequest{}
	mi := &file_vcs_provider_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ResetVCSProviderOAuthTokenRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResetVCSProviderOAuthTokenRequest) ProtoMessage() {}

func (x *ResetVCSProviderOAuthTokenRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResetVCSProviderOAuthTokenRequest.ProtoReflect.Descriptor instead.
func (*ResetVCSProviderOAuthTokenRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{6}
}

func (x *ResetVCSProviderOAuthTokenRequest) GetProviderId() string {
	if x != nil {
		return x.ProviderId
	}
	return ""
}

// CreateVCSTokenForPipelineRequest represents the request for creating a VCS
// token for a pipeline.
type CreateVCSTokenForPipelineRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ProviderId    string                 `protobuf:"bytes,1,opt,name=provider_id,json=providerId,proto3" json:"provider_id,omitempty"`
	PipelineId    string                 `protobuf:"bytes,2,opt,name=pipeline_id,json=pipelineId,proto3" json:"pipeline_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateVCSTokenForPipelineRequest) Reset() {
	*x = CreateVCSTokenForPipelineRequest{}
	mi := &file_vcs_provider_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateVCSTokenForPipelineRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVCSTokenForPipelineRequest) ProtoMessage() {}

func (x *CreateVCSTokenForPipelineRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVCSTokenForPipelineRequest.ProtoReflect.Descriptor instead.
func (*CreateVCSTokenForPipelineRequest) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{7}
}

func (x *CreateVCSTokenForPipelineRequest) GetProviderId() string {
	if x != nil {
		return x.ProviderId
	}
	return ""
}

func (x *CreateVCSTokenForPipelineRequest) GetPipelineId() string {
	if x != nil {
		return x.PipelineId
	}
	return ""
}

// VCSProvider is a mechanism to interface with external Git or version control
// systems and leverage some of their functionality within Phobos.
type VCSProvider struct {
	state            protoimpl.MessageState `protogen:"open.v1"`
	Metadata         *ResourceMetadata      `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	Name             string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Description      string                 `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	Type             string                 `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
	Scope            string                 `protobuf:"bytes,5,opt,name=scope,proto3" json:"scope,omitempty"`
	AuthType         string                 `protobuf:"bytes,6,opt,name=auth_type,json=authType,proto3" json:"auth_type,omitempty"`
	CreatedBy        string                 `protobuf:"bytes,7,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	Url              string                 `protobuf:"bytes,8,opt,name=url,proto3" json:"url,omitempty"`
	OrganizationId   string                 `protobuf:"bytes,9,opt,name=organization_id,json=organizationId,proto3" json:"organization_id,omitempty"`
	ProjectId        *string                `protobuf:"bytes,10,opt,name=project_id,json=projectId,proto3,oneof" json:"project_id,omitempty"`
	ExtraOauthScopes []string               `protobuf:"bytes,11,rep,name=extra_oauth_scopes,json=extraOauthScopes,proto3" json:"extra_oauth_scopes,omitempty"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *VCSProvider) Reset() {
	*x = VCSProvider{}
	mi := &file_vcs_provider_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *VCSProvider) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VCSProvider) ProtoMessage() {}

func (x *VCSProvider) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VCSProvider.ProtoReflect.Descriptor instead.
func (*VCSProvider) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{8}
}

func (x *VCSProvider) GetMetadata() *ResourceMetadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *VCSProvider) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *VCSProvider) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *VCSProvider) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *VCSProvider) GetScope() string {
	if x != nil {
		return x.Scope
	}
	return ""
}

func (x *VCSProvider) GetAuthType() string {
	if x != nil {
		return x.AuthType
	}
	return ""
}

func (x *VCSProvider) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

func (x *VCSProvider) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *VCSProvider) GetOrganizationId() string {
	if x != nil {
		return x.OrganizationId
	}
	return ""
}

func (x *VCSProvider) GetProjectId() string {
	if x != nil && x.ProjectId != nil {
		return *x.ProjectId
	}
	return ""
}

func (x *VCSProvider) GetExtraOauthScopes() []string {
	if x != nil {
		return x.ExtraOauthScopes
	}
	return nil
}

// GetVCSProvidersResponse represents a paginated list of VCSProviders.
type GetVCSProvidersResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	PageInfo      *PageInfo              `protobuf:"bytes,1,opt,name=page_info,json=pageInfo,proto3" json:"page_info,omitempty"`
	VcsProviders  []*VCSProvider         `protobuf:"bytes,2,rep,name=vcs_providers,json=vcsProviders,proto3" json:"vcs_providers,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetVCSProvidersResponse) Reset() {
	*x = GetVCSProvidersResponse{}
	mi := &file_vcs_provider_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetVCSProvidersResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVCSProvidersResponse) ProtoMessage() {}

func (x *GetVCSProvidersResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVCSProvidersResponse.ProtoReflect.Descriptor instead.
func (*GetVCSProvidersResponse) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{9}
}

func (x *GetVCSProvidersResponse) GetPageInfo() *PageInfo {
	if x != nil {
		return x.PageInfo
	}
	return nil
}

func (x *GetVCSProvidersResponse) GetVcsProviders() []*VCSProvider {
	if x != nil {
		return x.VcsProviders
	}
	return nil
}

// GetRepositoryArchiveResponse is the response for retrieving a repository
// archive.
type GetRepositoryArchiveResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ChunkData     []byte                 `protobuf:"bytes,1,opt,name=chunk_data,json=chunkData,proto3" json:"chunk_data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetRepositoryArchiveResponse) Reset() {
	*x = GetRepositoryArchiveResponse{}
	mi := &file_vcs_provider_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetRepositoryArchiveResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetRepositoryArchiveResponse) ProtoMessage() {}

func (x *GetRepositoryArchiveResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetRepositoryArchiveResponse.ProtoReflect.Descriptor instead.
func (*GetRepositoryArchiveResponse) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{10}
}

func (x *GetRepositoryArchiveResponse) GetChunkData() []byte {
	if x != nil {
		return x.ChunkData
	}
	return nil
}

// CreateVCSProviderResponse represents the response for creating a VCSProvider.
type CreateVCSProviderResponse struct {
	state                 protoimpl.MessageState `protogen:"open.v1"`
	VcsProvider           *VCSProvider           `protobuf:"bytes,1,opt,name=vcs_provider,json=vcsProvider,proto3" json:"vcs_provider,omitempty"`
	OauthAuthorizationUrl *string                `protobuf:"bytes,2,opt,name=oauth_authorization_url,json=oauthAuthorizationUrl,proto3,oneof" json:"oauth_authorization_url,omitempty"`
	unknownFields         protoimpl.UnknownFields
	sizeCache             protoimpl.SizeCache
}

func (x *CreateVCSProviderResponse) Reset() {
	*x = CreateVCSProviderResponse{}
	mi := &file_vcs_provider_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateVCSProviderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVCSProviderResponse) ProtoMessage() {}

func (x *CreateVCSProviderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVCSProviderResponse.ProtoReflect.Descriptor instead.
func (*CreateVCSProviderResponse) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{11}
}

func (x *CreateVCSProviderResponse) GetVcsProvider() *VCSProvider {
	if x != nil {
		return x.VcsProvider
	}
	return nil
}

func (x *CreateVCSProviderResponse) GetOauthAuthorizationUrl() string {
	if x != nil && x.OauthAuthorizationUrl != nil {
		return *x.OauthAuthorizationUrl
	}
	return ""
}

// ResetVCSProviderOAuthTokenResponse represents a response for resetting the
// OAuth token used for authenticating with the remote VCS system.
type ResetVCSProviderOAuthTokenResponse struct {
	state                 protoimpl.MessageState `protogen:"open.v1"`
	VcsProvider           *VCSProvider           `protobuf:"bytes,1,opt,name=vcs_provider,json=vcsProvider,proto3" json:"vcs_provider,omitempty"`
	OauthAuthorizationUrl string                 `protobuf:"bytes,2,opt,name=oauth_authorization_url,json=oauthAuthorizationUrl,proto3" json:"oauth_authorization_url,omitempty"`
	unknownFields         protoimpl.UnknownFields
	sizeCache             protoimpl.SizeCache
}

func (x *ResetVCSProviderOAuthTokenResponse) Reset() {
	*x = ResetVCSProviderOAuthTokenResponse{}
	mi := &file_vcs_provider_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ResetVCSProviderOAuthTokenResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResetVCSProviderOAuthTokenResponse) ProtoMessage() {}

func (x *ResetVCSProviderOAuthTokenResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResetVCSProviderOAuthTokenResponse.ProtoReflect.Descriptor instead.
func (*ResetVCSProviderOAuthTokenResponse) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{12}
}

func (x *ResetVCSProviderOAuthTokenResponse) GetVcsProvider() *VCSProvider {
	if x != nil {
		return x.VcsProvider
	}
	return nil
}

func (x *ResetVCSProviderOAuthTokenResponse) GetOauthAuthorizationUrl() string {
	if x != nil {
		return x.OauthAuthorizationUrl
	}
	return ""
}

// CreateVCSTokenForPipelineResponse represents the response for creating a VCS
// token for a pipeline.
type CreateVCSTokenForPipelineResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AccessToken   string                 `protobuf:"bytes,1,opt,name=access_token,json=accessToken,proto3" json:"access_token,omitempty"`
	ExpiresAt     *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=expires_at,json=expiresAt,proto3,oneof" json:"expires_at,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateVCSTokenForPipelineResponse) Reset() {
	*x = CreateVCSTokenForPipelineResponse{}
	mi := &file_vcs_provider_proto_msgTypes[13]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateVCSTokenForPipelineResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVCSTokenForPipelineResponse) ProtoMessage() {}

func (x *CreateVCSTokenForPipelineResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vcs_provider_proto_msgTypes[13]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVCSTokenForPipelineResponse.ProtoReflect.Descriptor instead.
func (*CreateVCSTokenForPipelineResponse) Descriptor() ([]byte, []int) {
	return file_vcs_provider_proto_rawDescGZIP(), []int{13}
}

func (x *CreateVCSTokenForPipelineResponse) GetAccessToken() string {
	if x != nil {
		return x.AccessToken
	}
	return ""
}

func (x *CreateVCSTokenForPipelineResponse) GetExpiresAt() *timestamppb.Timestamp {
	if x != nil {
		return x.ExpiresAt
	}
	return nil
}

var File_vcs_provider_proto protoreflect.FileDescriptor

var file_vcs_provider_proto_rawDesc = string([]byte{
	0x0a, 0x12, 0x76, 0x63, 0x73, 0x5f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x23, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63,
	0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x1a, 0x0e, 0x6d, 0x65, 0x74, 0x61, 0x64,
	0x61, 0x74, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x10, 0x70, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0b, 0x73, 0x63, 0x6f,
	0x70, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x2b, 0x0a, 0x19, 0x47, 0x65, 0x74, 0x56, 0x43, 0x53,
	0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x42, 0x79, 0x49, 0x44, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x69, 0x64, 0x22, 0x98, 0x03, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x56, 0x43, 0x53, 0x50, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x69,
	0x0a, 0x12, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6f, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x35, 0x2e, 0x6d, 0x61, 0x72,
	0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e,
	0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x48, 0x00, 0x52, 0x11, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x88, 0x01, 0x01, 0x12, 0x56, 0x0a, 0x04, 0x73, 0x6f, 0x72,
	0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x3d, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56, 0x63,
	0x73, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x53, 0x6f, 0x72, 0x74, 0x61, 0x62, 0x6c,
	0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x48, 0x01, 0x52, 0x04, 0x73, 0x6f, 0x72, 0x74, 0x88, 0x01,
	0x01, 0x12, 0x1b, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x02, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x88, 0x01, 0x01, 0x12, 0x2c,
	0x0a, 0x0f, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69,
	0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x48, 0x03, 0x52, 0x0e, 0x6f, 0x72, 0x67, 0x61, 0x6e,
	0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x22, 0x0a, 0x0a,
	0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09,
	0x48, 0x04, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x88, 0x01, 0x01,
	0x42, 0x15, 0x0a, 0x13, 0x5f, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f,
	0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x73, 0x6f, 0x72, 0x74,
	0x42, 0x09, 0x0a, 0x07, 0x5f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x42, 0x12, 0x0a, 0x10, 0x5f,
	0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x42,
	0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x22, 0x86,
	0x01, 0x0a, 0x1b, 0x47, 0x65, 0x74, 0x52, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79,
	0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1f,
	0x0a, 0x0b, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x49, 0x64, 0x12,
	0x27, 0x0a, 0x0f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x5f, 0x70, 0x61,
	0x74, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69,
	0x74, 0x6f, 0x72, 0x79, 0x50, 0x61, 0x74, 0x68, 0x12, 0x15, 0x0a, 0x03, 0x72, 0x65, 0x66, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x03, 0x72, 0x65, 0x66, 0x88, 0x01, 0x01, 0x42,
	0x06, 0x0a, 0x04, 0x5f, 0x72, 0x65, 0x66, 0x22, 0xd4, 0x05, 0x0a, 0x18, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x48, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x34, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69,
	0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56,
	0x63, 0x73, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x3e, 0x0a, 0x05, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x73, 0x63,
	0x6f, 0x70, 0x65, 0x2e, 0x53, 0x63, 0x6f, 0x70, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x73,
	0x63, 0x6f, 0x70, 0x65, 0x12, 0x55, 0x0a, 0x09, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x74, 0x79, 0x70,
	0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x38, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56, 0x63,
	0x73, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x41, 0x75, 0x74, 0x68, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x08, 0x61, 0x75, 0x74, 0x68, 0x54, 0x79, 0x70, 0x65, 0x12, 0x2c, 0x0a, 0x0f, 0x6f,
	0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x0e, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x22, 0x0a, 0x0a, 0x70, 0x72, 0x6f,
	0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52,
	0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x15, 0x0a,
	0x03, 0x75, 0x72, 0x6c, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x48, 0x02, 0x52, 0x03, 0x75, 0x72,
	0x6c, 0x88, 0x01, 0x01, 0x12, 0x2b, 0x0a, 0x0f, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x63, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x48, 0x03, 0x52,
	0x0d, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x88, 0x01,
	0x01, 0x12, 0x33, 0x0a, 0x13, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x5f, 0x73, 0x65, 0x63, 0x72, 0x65, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x48, 0x04,
	0x52, 0x11, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x63,
	0x72, 0x65, 0x74, 0x88, 0x01, 0x01, 0x12, 0x37, 0x0a, 0x15, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x61, 0x6c, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18,
	0x0b, 0x20, 0x01, 0x28, 0x09, 0x48, 0x05, 0x52, 0x13, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61,
	0x6c, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x88, 0x01, 0x01, 0x12,
	0x2c, 0x0a, 0x12, 0x65, 0x78, 0x74, 0x72, 0x61, 0x5f, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x73,
	0x63, 0x6f, 0x70, 0x65, 0x73, 0x18, 0x0c, 0x20, 0x03, 0x28, 0x09, 0x52, 0x10, 0x65, 0x78, 0x74,
	0x72, 0x61, 0x4f, 0x61, 0x75, 0x74, 0x68, 0x53, 0x63, 0x6f, 0x70, 0x65, 0x73, 0x42, 0x12, 0x0a,
	0x10, 0x5f, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69,
	0x64, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64,
	0x42, 0x06, 0x0a, 0x04, 0x5f, 0x75, 0x72, 0x6c, 0x42, 0x12, 0x0a, 0x10, 0x5f, 0x6f, 0x61, 0x75,
	0x74, 0x68, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x42, 0x16, 0x0a, 0x14,
	0x5f, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x73, 0x65,
	0x63, 0x72, 0x65, 0x74, 0x42, 0x18, 0x0a, 0x16, 0x5f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61,
	0x6c, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x9b,
	0x03, 0x0a, 0x18, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x07, 0x76,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x07,
	0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x12, 0x25, 0x0a, 0x0b, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48,
	0x01, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x88, 0x01,
	0x01, 0x12, 0x2b, 0x0a, 0x0f, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x48, 0x02, 0x52, 0x0d, 0x6f, 0x61,
	0x75, 0x74, 0x68, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x33,
	0x0a, 0x13, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x73,
	0x65, 0x63, 0x72, 0x65, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x48, 0x03, 0x52, 0x11, 0x6f,
	0x61, 0x75, 0x74, 0x68, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x53, 0x65, 0x63, 0x72, 0x65, 0x74,
	0x88, 0x01, 0x01, 0x12, 0x37, 0x0a, 0x15, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x6c, 0x5f,
	0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x48, 0x04, 0x52, 0x13, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x6c, 0x41, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x88, 0x01, 0x01, 0x12, 0x2c, 0x0a, 0x12,
	0x65, 0x78, 0x74, 0x72, 0x61, 0x5f, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x73, 0x63, 0x6f, 0x70,
	0x65, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x09, 0x52, 0x10, 0x65, 0x78, 0x74, 0x72, 0x61, 0x4f,
	0x61, 0x75, 0x74, 0x68, 0x53, 0x63, 0x6f, 0x70, 0x65, 0x73, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x76,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x42, 0x0e, 0x0a, 0x0c, 0x5f, 0x64, 0x65, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x12, 0x0a, 0x10, 0x5f, 0x6f, 0x61, 0x75, 0x74, 0x68,
	0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x42, 0x16, 0x0a, 0x14, 0x5f, 0x6f,
	0x61, 0x75, 0x74, 0x68, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x73, 0x65, 0x63, 0x72,
	0x65, 0x74, 0x42, 0x18, 0x0a, 0x16, 0x5f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x6c, 0x5f,
	0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x55, 0x0a, 0x18,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x07, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x22, 0x44, 0x0a, 0x21, 0x52, 0x65, 0x73, 0x65, 0x74, 0x56, 0x43, 0x53, 0x50,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x4f, 0x41, 0x75, 0x74, 0x68, 0x54, 0x6f, 0x6b, 0x65,
	0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1f, 0x0a, 0x0b, 0x70, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x49, 0x64, 0x22, 0x64, 0x0a, 0x20, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x46, 0x6f, 0x72, 0x50, 0x69,
	0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1f, 0x0a,
	0x0b, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0a, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x49, 0x64, 0x12, 0x1f,
	0x0a, 0x0b, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x49, 0x64, 0x22,
	0x95, 0x03, 0x0a, 0x0b, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12,
	0x4e, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x32, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x63, 0x6f,
	0x70, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x12,
	0x1b, 0x0a, 0x09, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x61, 0x75, 0x74, 0x68, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1d, 0x0a, 0x0a,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x75,
	0x72, 0x6c, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x27, 0x0a,
	0x0f, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64,
	0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x12, 0x22, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x09, 0x70, 0x72,
	0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x2c, 0x0a, 0x12, 0x65, 0x78,
	0x74, 0x72, 0x61, 0x5f, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x73,
	0x18, 0x0b, 0x20, 0x03, 0x28, 0x09, 0x52, 0x10, 0x65, 0x78, 0x74, 0x72, 0x61, 0x4f, 0x61, 0x75,
	0x74, 0x68, 0x53, 0x63, 0x6f, 0x70, 0x65, 0x73, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x70, 0x72, 0x6f,
	0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x22, 0xbb, 0x01, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x56,
	0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x49, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x6e, 0x66, 0x6f,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x65,
	0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x70, 0x61, 0x67, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x55,
	0x0a, 0x0d, 0x76, 0x63, 0x73, 0x5f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73, 0x18,
	0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56, 0x43, 0x53, 0x50,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x0c, 0x76, 0x63, 0x73, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x73, 0x22, 0x3d, 0x0a, 0x1c, 0x47, 0x65, 0x74, 0x52, 0x65, 0x70, 0x6f,
	0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x68, 0x75, 0x6e, 0x6b, 0x5f, 0x64,
	0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x63, 0x68, 0x75, 0x6e, 0x6b,
	0x44, 0x61, 0x74, 0x61, 0x22, 0xc9, 0x01, 0x0a, 0x19, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56,
	0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x53, 0x0a, 0x0c, 0x76, 0x63, 0x73, 0x5f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
	0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69,
	0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56,
	0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x0b, 0x76, 0x63, 0x73, 0x50,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x3b, 0x0a, 0x17, 0x6f, 0x61, 0x75, 0x74, 0x68,
	0x5f, 0x61, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x75,
	0x72, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x15, 0x6f, 0x61, 0x75, 0x74,
	0x68, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x55, 0x72,
	0x6c, 0x88, 0x01, 0x01, 0x42, 0x1a, 0x0a, 0x18, 0x5f, 0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x61,
	0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x75, 0x72, 0x6c,
	0x22, 0xb1, 0x01, 0x0a, 0x22, 0x52, 0x65, 0x73, 0x65, 0x74, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x4f, 0x41, 0x75, 0x74, 0x68, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x53, 0x0a, 0x0c, 0x76, 0x63, 0x73, 0x5f, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x2e, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x52,
	0x0b, 0x76, 0x63, 0x73, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x36, 0x0a, 0x17,
	0x6f, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x61, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x15, 0x6f,
	0x61, 0x75, 0x74, 0x68, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x55, 0x72, 0x6c, 0x22, 0x95, 0x01, 0x0a, 0x21, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56,
	0x43, 0x53, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x46, 0x6f, 0x72, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69,
	0x6e, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x61, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x3e, 0x0a,
	0x0a, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x73, 0x5f, 0x61, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x48, 0x00, 0x52,
	0x09, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x73, 0x41, 0x74, 0x88, 0x01, 0x01, 0x42, 0x0d, 0x0a,
	0x0b, 0x5f, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x73, 0x5f, 0x61, 0x74, 0x2a, 0x6c, 0x0a, 0x18,
	0x56, 0x63, 0x73, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x53, 0x6f, 0x72, 0x74, 0x61,
	0x62, 0x6c, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x12, 0x12, 0x0a, 0x0e, 0x43, 0x52, 0x45, 0x41,
	0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x41, 0x53, 0x43, 0x10, 0x00, 0x12, 0x13, 0x0a, 0x0f,
	0x43, 0x52, 0x45, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x44, 0x45, 0x53, 0x43, 0x10,
	0x01, 0x12, 0x12, 0x0a, 0x0e, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f,
	0x41, 0x53, 0x43, 0x10, 0x02, 0x12, 0x13, 0x0a, 0x0f, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44,
	0x5f, 0x41, 0x54, 0x5f, 0x44, 0x45, 0x53, 0x43, 0x10, 0x03, 0x2a, 0x29, 0x0a, 0x0f, 0x56, 0x63,
	0x73, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0a, 0x0a,
	0x06, 0x47, 0x49, 0x54, 0x4c, 0x41, 0x42, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x47, 0x49, 0x54,
	0x48, 0x55, 0x42, 0x10, 0x01, 0x2a, 0x32, 0x0a, 0x13, 0x56, 0x63, 0x73, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x41, 0x75, 0x74, 0x68, 0x54, 0x79, 0x70, 0x65, 0x12, 0x10, 0x0a, 0x0c,
	0x41, 0x43, 0x43, 0x45, 0x53, 0x53, 0x5f, 0x54, 0x4f, 0x4b, 0x45, 0x4e, 0x10, 0x00, 0x12, 0x09,
	0x0a, 0x05, 0x4f, 0x41, 0x55, 0x54, 0x48, 0x10, 0x01, 0x32, 0xbb, 0x09, 0x0a, 0x0c, 0x56, 0x43,
	0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73, 0x12, 0x88, 0x01, 0x0a, 0x12, 0x47,
	0x65, 0x74, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x42, 0x79, 0x49,
	0x44, 0x12, 0x3e, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x43, 0x53, 0x50, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x42, 0x79, 0x49, 0x44, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x30, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x22, 0x00, 0x12, 0x8e, 0x01, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x56, 0x43, 0x53,
	0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73, 0x12, 0x3b, 0x2e, 0x6d, 0x61, 0x72, 0x74,
	0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e,
	0x47, 0x65, 0x74, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3c, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74,
	0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x9f, 0x01, 0x0a, 0x14, 0x47, 0x65, 0x74, 0x52, 0x65,
	0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x12,
	0x40, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74,
	0x6f, 0x72, 0x79, 0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x41, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x70, 0x6f, 0x73,
	0x69, 0x74, 0x6f, 0x72, 0x79, 0x41, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x30, 0x01, 0x12, 0x94, 0x01, 0x0a, 0x11, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x3d,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3e, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12,
	0x86, 0x01, 0x0a, 0x11, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x3d, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x30, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76,
	0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56, 0x43, 0x53, 0x50, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x22, 0x00, 0x12, 0x6c, 0x0a, 0x11, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x3d, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45,
	0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0xaf, 0x01, 0x0a, 0x1a, 0x52, 0x65, 0x73, 0x65, 0x74,
	0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x4f, 0x41, 0x75, 0x74, 0x68,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x46, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x65,
	0x74, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x4f, 0x41, 0x75, 0x74,
	0x68, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x47, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x65, 0x74, 0x56, 0x43, 0x53, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x4f, 0x41, 0x75, 0x74, 0x68, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0xac, 0x01, 0x0a, 0x19, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x46, 0x6f, 0x72, 0x50, 0x69,
	0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x12, 0x45, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x46, 0x6f, 0x72, 0x50, 0x69,
	0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x46, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x63, 0x73, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x43, 0x53, 0x54, 0x6f, 0x6b,
	0x65, 0x6e, 0x46, 0x6f, 0x72, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x47, 0x5a, 0x45, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x72, 0x2d, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f,
	0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2d, 0x61, 0x70,
	0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x67, 0x65, 0x6e,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_vcs_provider_proto_rawDescOnce sync.Once
	file_vcs_provider_proto_rawDescData []byte
)

func file_vcs_provider_proto_rawDescGZIP() []byte {
	file_vcs_provider_proto_rawDescOnce.Do(func() {
		file_vcs_provider_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_vcs_provider_proto_rawDesc), len(file_vcs_provider_proto_rawDesc)))
	})
	return file_vcs_provider_proto_rawDescData
}

var file_vcs_provider_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_vcs_provider_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_vcs_provider_proto_goTypes = []any{
	(VcsProviderSortableField)(0),              // 0: martiancloud.phobos.api.vcsprovider.VcsProviderSortableField
	(VcsProviderType)(0),                       // 1: martiancloud.phobos.api.vcsprovider.VcsProviderType
	(VcsProviderAuthType)(0),                   // 2: martiancloud.phobos.api.vcsprovider.VcsProviderAuthType
	(*GetVCSProviderByIDRequest)(nil),          // 3: martiancloud.phobos.api.vcsprovider.GetVCSProviderByIDRequest
	(*GetVCSProvidersRequest)(nil),             // 4: martiancloud.phobos.api.vcsprovider.GetVCSProvidersRequest
	(*GetRepositoryArchiveRequest)(nil),        // 5: martiancloud.phobos.api.vcsprovider.GetRepositoryArchiveRequest
	(*CreateVCSProviderRequest)(nil),           // 6: martiancloud.phobos.api.vcsprovider.CreateVCSProviderRequest
	(*UpdateVCSProviderRequest)(nil),           // 7: martiancloud.phobos.api.vcsprovider.UpdateVCSProviderRequest
	(*DeleteVCSProviderRequest)(nil),           // 8: martiancloud.phobos.api.vcsprovider.DeleteVCSProviderRequest
	(*ResetVCSProviderOAuthTokenRequest)(nil),  // 9: martiancloud.phobos.api.vcsprovider.ResetVCSProviderOAuthTokenRequest
	(*CreateVCSTokenForPipelineRequest)(nil),   // 10: martiancloud.phobos.api.vcsprovider.CreateVCSTokenForPipelineRequest
	(*VCSProvider)(nil),                        // 11: martiancloud.phobos.api.vcsprovider.VCSProvider
	(*GetVCSProvidersResponse)(nil),            // 12: martiancloud.phobos.api.vcsprovider.GetVCSProvidersResponse
	(*GetRepositoryArchiveResponse)(nil),       // 13: martiancloud.phobos.api.vcsprovider.GetRepositoryArchiveResponse
	(*CreateVCSProviderResponse)(nil),          // 14: martiancloud.phobos.api.vcsprovider.CreateVCSProviderResponse
	(*ResetVCSProviderOAuthTokenResponse)(nil), // 15: martiancloud.phobos.api.vcsprovider.ResetVCSProviderOAuthTokenResponse
	(*CreateVCSTokenForPipelineResponse)(nil),  // 16: martiancloud.phobos.api.vcsprovider.CreateVCSTokenForPipelineResponse
	(*PaginationOptions)(nil),                  // 17: martiancloud.phobos.api.pagination.PaginationOptions
	(ScopeType)(0),                             // 18: martiancloud.phobos.api.scope.ScopeType
	(*ResourceMetadata)(nil),                   // 19: martiancloud.phobos.api.metadata.ResourceMetadata
	(*PageInfo)(nil),                           // 20: martiancloud.phobos.api.pagination.PageInfo
	(*timestamppb.Timestamp)(nil),              // 21: google.protobuf.Timestamp
	(*emptypb.Empty)(nil),                      // 22: google.protobuf.Empty
}
var file_vcs_provider_proto_depIdxs = []int32{
	17, // 0: martiancloud.phobos.api.vcsprovider.GetVCSProvidersRequest.pagination_options:type_name -> martiancloud.phobos.api.pagination.PaginationOptions
	0,  // 1: martiancloud.phobos.api.vcsprovider.GetVCSProvidersRequest.sort:type_name -> martiancloud.phobos.api.vcsprovider.VcsProviderSortableField
	1,  // 2: martiancloud.phobos.api.vcsprovider.CreateVCSProviderRequest.type:type_name -> martiancloud.phobos.api.vcsprovider.VcsProviderType
	18, // 3: martiancloud.phobos.api.vcsprovider.CreateVCSProviderRequest.scope:type_name -> martiancloud.phobos.api.scope.ScopeType
	2,  // 4: martiancloud.phobos.api.vcsprovider.CreateVCSProviderRequest.auth_type:type_name -> martiancloud.phobos.api.vcsprovider.VcsProviderAuthType
	19, // 5: martiancloud.phobos.api.vcsprovider.VCSProvider.metadata:type_name -> martiancloud.phobos.api.metadata.ResourceMetadata
	20, // 6: martiancloud.phobos.api.vcsprovider.GetVCSProvidersResponse.page_info:type_name -> martiancloud.phobos.api.pagination.PageInfo
	11, // 7: martiancloud.phobos.api.vcsprovider.GetVCSProvidersResponse.vcs_providers:type_name -> martiancloud.phobos.api.vcsprovider.VCSProvider
	11, // 8: martiancloud.phobos.api.vcsprovider.CreateVCSProviderResponse.vcs_provider:type_name -> martiancloud.phobos.api.vcsprovider.VCSProvider
	11, // 9: martiancloud.phobos.api.vcsprovider.ResetVCSProviderOAuthTokenResponse.vcs_provider:type_name -> martiancloud.phobos.api.vcsprovider.VCSProvider
	21, // 10: martiancloud.phobos.api.vcsprovider.CreateVCSTokenForPipelineResponse.expires_at:type_name -> google.protobuf.Timestamp
	3,  // 11: martiancloud.phobos.api.vcsprovider.VCSProviders.GetVCSProviderByID:input_type -> martiancloud.phobos.api.vcsprovider.GetVCSProviderByIDRequest
	4,  // 12: martiancloud.phobos.api.vcsprovider.VCSProviders.GetVCSProviders:input_type -> martiancloud.phobos.api.vcsprovider.GetVCSProvidersRequest
	5,  // 13: martiancloud.phobos.api.vcsprovider.VCSProviders.GetRepositoryArchive:input_type -> martiancloud.phobos.api.vcsprovider.GetRepositoryArchiveRequest
	6,  // 14: martiancloud.phobos.api.vcsprovider.VCSProviders.CreateVCSProvider:input_type -> martiancloud.phobos.api.vcsprovider.CreateVCSProviderRequest
	7,  // 15: martiancloud.phobos.api.vcsprovider.VCSProviders.UpdateVCSProvider:input_type -> martiancloud.phobos.api.vcsprovider.UpdateVCSProviderRequest
	8,  // 16: martiancloud.phobos.api.vcsprovider.VCSProviders.DeleteVCSProvider:input_type -> martiancloud.phobos.api.vcsprovider.DeleteVCSProviderRequest
	9,  // 17: martiancloud.phobos.api.vcsprovider.VCSProviders.ResetVCSProviderOAuthToken:input_type -> martiancloud.phobos.api.vcsprovider.ResetVCSProviderOAuthTokenRequest
	10, // 18: martiancloud.phobos.api.vcsprovider.VCSProviders.CreateVCSTokenForPipeline:input_type -> martiancloud.phobos.api.vcsprovider.CreateVCSTokenForPipelineRequest
	11, // 19: martiancloud.phobos.api.vcsprovider.VCSProviders.GetVCSProviderByID:output_type -> martiancloud.phobos.api.vcsprovider.VCSProvider
	12, // 20: martiancloud.phobos.api.vcsprovider.VCSProviders.GetVCSProviders:output_type -> martiancloud.phobos.api.vcsprovider.GetVCSProvidersResponse
	13, // 21: martiancloud.phobos.api.vcsprovider.VCSProviders.GetRepositoryArchive:output_type -> martiancloud.phobos.api.vcsprovider.GetRepositoryArchiveResponse
	14, // 22: martiancloud.phobos.api.vcsprovider.VCSProviders.CreateVCSProvider:output_type -> martiancloud.phobos.api.vcsprovider.CreateVCSProviderResponse
	11, // 23: martiancloud.phobos.api.vcsprovider.VCSProviders.UpdateVCSProvider:output_type -> martiancloud.phobos.api.vcsprovider.VCSProvider
	22, // 24: martiancloud.phobos.api.vcsprovider.VCSProviders.DeleteVCSProvider:output_type -> google.protobuf.Empty
	15, // 25: martiancloud.phobos.api.vcsprovider.VCSProviders.ResetVCSProviderOAuthToken:output_type -> martiancloud.phobos.api.vcsprovider.ResetVCSProviderOAuthTokenResponse
	16, // 26: martiancloud.phobos.api.vcsprovider.VCSProviders.CreateVCSTokenForPipeline:output_type -> martiancloud.phobos.api.vcsprovider.CreateVCSTokenForPipelineResponse
	19, // [19:27] is the sub-list for method output_type
	11, // [11:19] is the sub-list for method input_type
	11, // [11:11] is the sub-list for extension type_name
	11, // [11:11] is the sub-list for extension extendee
	0,  // [0:11] is the sub-list for field type_name
}

func init() { file_vcs_provider_proto_init() }
func file_vcs_provider_proto_init() {
	if File_vcs_provider_proto != nil {
		return
	}
	file_metadata_proto_init()
	file_pagination_proto_init()
	file_scope_proto_init()
	file_vcs_provider_proto_msgTypes[1].OneofWrappers = []any{}
	file_vcs_provider_proto_msgTypes[2].OneofWrappers = []any{}
	file_vcs_provider_proto_msgTypes[3].OneofWrappers = []any{}
	file_vcs_provider_proto_msgTypes[4].OneofWrappers = []any{}
	file_vcs_provider_proto_msgTypes[5].OneofWrappers = []any{}
	file_vcs_provider_proto_msgTypes[8].OneofWrappers = []any{}
	file_vcs_provider_proto_msgTypes[11].OneofWrappers = []any{}
	file_vcs_provider_proto_msgTypes[13].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_vcs_provider_proto_rawDesc), len(file_vcs_provider_proto_rawDesc)),
			NumEnums:      3,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vcs_provider_proto_goTypes,
		DependencyIndexes: file_vcs_provider_proto_depIdxs,
		EnumInfos:         file_vcs_provider_proto_enumTypes,
		MessageInfos:      file_vcs_provider_proto_msgTypes,
	}.Build()
	File_vcs_provider_proto = out.File
	file_vcs_provider_proto_goTypes = nil
	file_vcs_provider_proto_depIdxs = nil
}
